package com.mdd.admin.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("操作日志Vo")
public class SystemLogOperateAddVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("操作标题")
   private String title;
   @ApiModelProperty("请求地址")
   private String url;
   @ApiModelProperty("请求参数")
   private String args;
   @ApiModelProperty("返回结果")
   private String result;
   @ApiModelProperty("错误信息")
   private String error;
   @ApiModelProperty("开始时间")
   private Long time;

   public String getTitle() {
      return this.title;
   }

   public String getUrl() {
      return this.url;
   }

   public String getArgs() {
      return this.args;
   }

   public String getResult() {
      return this.result;
   }

   public String getError() {
      return this.error;
   }

   public Long getTime() {
      return this.time;
   }

   public void setTitle(String title) {
      this.title = title;
   }

   public void setUrl(String url) {
      this.url = url;
   }

   public void setArgs(String args) {
      this.args = args;
   }

   public void setResult(String result) {
      this.result = result;
   }

   public void setError(String error) {
      this.error = error;
   }

   public void setTime(Long time) {
      this.time = time;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemLogOperateAddVo)) {
         return false;
      } else {
         SystemLogOperateAddVo other = (SystemLogOperateAddVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$time = this.getTime();
            Object other$time = other.getTime();
            if (this$time == null) {
               if (other$time != null) {
                  return false;
               }
            } else if (!this$time.equals(other$time)) {
               return false;
            }

            Object this$title = this.getTitle();
            Object other$title = other.getTitle();
            if (this$title == null) {
               if (other$title != null) {
                  return false;
               }
            } else if (!this$title.equals(other$title)) {
               return false;
            }

            Object this$url = this.getUrl();
            Object other$url = other.getUrl();
            if (this$url == null) {
               if (other$url != null) {
                  return false;
               }
            } else if (!this$url.equals(other$url)) {
               return false;
            }

            label62: {
               Object this$args = this.getArgs();
               Object other$args = other.getArgs();
               if (this$args == null) {
                  if (other$args == null) {
                     break label62;
                  }
               } else if (this$args.equals(other$args)) {
                  break label62;
               }

               return false;
            }

            label55: {
               Object this$result = this.getResult();
               Object other$result = other.getResult();
               if (this$result == null) {
                  if (other$result == null) {
                     break label55;
                  }
               } else if (this$result.equals(other$result)) {
                  break label55;
               }

               return false;
            }

            Object this$error = this.getError();
            Object other$error = other.getError();
            if (this$error == null) {
               if (other$error != null) {
                  return false;
               }
            } else if (!this$error.equals(other$error)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemLogOperateAddVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $time = this.getTime();
      result = result * 59 + ($time == null ? 43 : $time.hashCode());
      Object $title = this.getTitle();
      result = result * 59 + ($title == null ? 43 : $title.hashCode());
      Object $url = this.getUrl();
      result = result * 59 + ($url == null ? 43 : $url.hashCode());
      Object $args = this.getArgs();
      result = result * 59 + ($args == null ? 43 : $args.hashCode());
      Object $result = this.getResult();
      result = result * 59 + ($result == null ? 43 : $result.hashCode());
      Object $error = this.getError();
      result = result * 59 + ($error == null ? 43 : $error.hashCode());
      return result;
   }

   public String toString() {
      return "SystemLogOperateAddVo(title=" + this.getTitle() + ", url=" + this.getUrl() + ", args=" + this.getArgs() + ", result=" + this.getResult() + ", error=" + this.getError() + ", time=" + this.getTime() + ")";
   }
}
